part of test_runner;

issueTests(){
  group('issue', () {
    test('document with DOCTYPE declaration', () {
      var xml = '''
        <?xml version="1.0" encoding="UTF-8"?>
        <!DOCTYPE issue SYSTEM "issue.dtd">
        <issue/>
      ''';
      var parsed = XML.parse(xml);
    });

    test('tag text with trailing space before a children tag', () {
      var xml = '''
        <?xml version="1.0" encoding="UTF-8"?>
        <issue>
          <p id = " 33 " >Hello <strong>World</strong></p>
        </issue>
      ''';
      var parsed = XML.parse(xml);
      var result = parsed.query("p");
      expect(1, equals(result.length));
      expect('Hello ', equals((result[0] as XmlElement).text));
      expect(' 33 ', equals((result[0] as XmlElement).attributes["id"]));
    });

    test('node toString', () {
      var xml = '''
        <?xml version="1.0" encoding="UTF-8"?>
        <issue>
          <a>a</a>
        </issue>
      ''';
      var parsed = XML.parse(xml);
      var result = parsed.query("a");
      expect(1, equals(result.length));
      expect('<a>a</a>', equals((result[0] as XmlElement).toString()));
    });
  });
}
